Skip to main content
POST
/
v1
/
upsell_funnels
/
{id}
/
duplicate
Duplicate
curl --request POST \
  --url https://{defaultHost}/v1/upsell_funnels/{id}/duplicate \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{defaultHost}/v1/upsell_funnels/{id}/duplicate"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{defaultHost}/v1/upsell_funnels/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "0207a47e-2445-45f0-97c7-f4ee704467cc",
  "object": "upsell_funnel",
  "archived": false,
  "archived_at": null,
  "enabled": false,
  "filter_match_type": null,
  "filter_price_ids": [],
  "filter_product_ids": [],
  "metadata": {},
  "name": "Super Upsell Funnel (Duplicate)",
  "priority": 5,
  "discarded_at": null,
  "created_at": 1782485916,
  "updated_at": 1782485916
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

archived
boolean

Whether or not this upsell funnel is archived.

enabled
boolean

Whether or not this upsell funnel is enabled.

filter_match_type
string | null

The matching strategy to use when filtering upsell funnels – can be null or one of all, any, none. If null, the upsell funnel will not be filtered and will be applicable to all checkouts.

filter_price_ids
array

The prices to filter this upsell funnel by.

filter_product_ids
array

The products to filter this upsell funnel by.

name
string | null

A name for this upsell that will be visible to customers.

priority
integer

The priority of this upsell in relation to other upsells. Must be in the range of 1 - 5 with 5 being the highest priority and 1 being the lowest.

metadata
object

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

archived_at
integer | null

Time at which the object was archived. Measured in seconds since the Unix epoch.

upsells

Expandable – Property not returned unless expanded.

discarded_at
integer | null

Time at which the object was discarded. Measured in seconds since the Unix epoch.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.